org.bouncycastle.cms

## Class CMSProcessableByteArray

- java.lang.Object
- - org.bouncycastle.cms.CMSProcessableByteArray

All Implemented Interfaces:
  CMSProcessable

Direct Known Subclasses:
  CMSEnvelopableByteArray, CMSSignableByteArray

    public class CMSProcessableByteArray
    extends java.lang.Object
    implements CMSProcessable

a holding class for a byte array of data to be processed.

### Constructor Summary

Constructors
Constructor and Description
`CMSProcessableByteArray(byte[] bytes)`

### Method Summary

Methods
`java.lang.Object` `getContent()`
`void` `write(java.io.OutputStream zOut)` generic routine to copy out the data we want processed - the OutputStream passed in will do the handling on it's own.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CMSProcessableByteArray

    public CMSProcessableByteArray(byte[] bytes)

### Method Detail

#### write

    public void write(java.io.OutputStream zOut)
               throws java.io.IOException,
                      CMSException

Description copied from interface: `CMSProcessable`
generic routine to copy out the data we want processed - the OutputStream passed in will do the handling on it's own.

Note: this routine may be called multiple times.

Specified by:
  `write` in interface `CMSProcessable`
Throws:
  `java.io.IOException`
  `CMSException`

#### getContent

    public java.lang.Object getContent()

Specified by:
  `getContent` in interface `CMSProcessable`